package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface IntegracaoTotvsService {
	public Integer atualizaStstausBilhetesIntegrar(Empresa empresa, Date dataIncial, Date dataFinal, PuntoVenta puntoVenta) throws BusinessException;

	public Integer atualizaStstausServicosIntegrar(Empresa empresa, Integer numServico) throws BusinessException;

	public Integer atualizaStstausCorridasIntegrar(Empresa empresa, Integer numCorrida, Date dataInicial, Date dataFinal) throws BusinessException;

	public List<PuntoVenta> buscaPuntoVentaEmpresa(Empresa empresa) throws Exception;

	public Integer solicitaReIntegracaoBilhete(Empresa empresa, Date dataInicial, Date dataFinal, PuntoVenta puntoVenta, Usuario usuario) throws BusinessException;
	
	public void borrarByCorrida(Corrida corrida);

}